"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DebuggerItem = void 0;

var _reactNative = require("react-native");

var _react = _interopRequireWildcard(require("react"));

var _utils = require("../../utils");

var _styles = require("./styles");

var _constants = require("../../constants");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const DebuggerItem = /*#__PURE__*/_react.default.memo(_ref => {
  let {
    item,
    prefix = '',
    onToggle
  } = _ref;
  const {
    width
  } = (0, _reactNative.useWindowDimensions)();
  const [show, setShow] = (0, _react.useState)(false);
  const isObject = item && typeof item === 'object';
  (0, _react.useEffect)(() => {
    onToggle === null || onToggle === void 0 ? void 0 : onToggle(show); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [show]);

  const toggleSection = () => setShow(v => !v);

  const preview = (0, _react.useMemo)(() => `${prefix} ${isObject ? `{ ${Object.entries(item).reduce((accum, _ref2) => {
    let [key, value] = _ref2;
    return [...accum, `${key} : ${value && typeof value === 'object' ? `{...}` : `${value}`}`];
  }, []).join(', ')} }` : `${item}`}`, []);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.wrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    style: _styles.styles.pressable,
    onLongPress: _utils.emptyFn,
    onPress: toggleSection
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: (0, _styles.getIconStyles)({
      show,
      isObject
    })
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      color: _constants.colors.textMain,
      maxWidth: prefix ? undefined : width - 74
    },
    numberOfLines: !isObject && show ? undefined : 1,
    selectable: true
  }, preview)), show && item && typeof item === 'object' && /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.recursionSpacer
  }, Object.entries(item).map((_ref3, index) => {
    let [key, value] = _ref3;
    return /*#__PURE__*/_react.default.createElement(DebuggerItem, {
      key: index,
      prefix: `${key}: `,
      item: value
    });
  })));
});

exports.DebuggerItem = DebuggerItem;
//# sourceMappingURL=index.js.map